import xbmc
import xbmcaddon

addon = xbmcaddon.Addon()
addon_id = addon.getAddonInfo('id')
addon_version = addon.getAddonInfo('version')

def log(msg, level=xbmc.LOGINFO):
    xbmc.log('[%s %s] %s' % (addon_id, addon_version, msg), level=level)

class EventLogger(xbmc.Monitor):
    def __init__(self):
        xbmc.Monitor.__init__(self)
        log('Event logger started')

    def onNotification(self, sender, method, data):
        log('Event received: %s, sender: %s, data: %s' % (method, sender, data))

    def logEvents(self):
        while not self.abortRequested(): self.waitForAbort(10000)


if __name__ == '__main__':
    Logger = EventLogger()
    Logger.logEvents()
    log('Event logger stopped')
    del Logger
